Get a payment intent by ID

Returns the details of a payment intent with the specified ID.

Monite creates payment intents automatically for each payment link. Payment intents let you track the status of payments made via payment links.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_intent_idstringRequired
ID of an existing payment intent that you want to retrieve.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID of this payment intent.
updated_atdatetime
UTC date and time when this payment intent was last updated.
amountinteger

The payment amount in minor units.

currencystring

The payment currency, as a three-letter ISO currency code.

payment_methodslist of enums
recipientobject

The payment recipient - either the current entity (in case of accounts receivable invoice payments) or a counterpart (in case of accounts payable bill payments).

statusstring

The status of the payment intent.

application_fee_amountinteger
batch_payment_idstringformat: "uuid"
Reserved for internal use.
invoiceobject
objectobject

If the payment link was created for a payable or receivable invoice stored in Monite (rather than an external invoice or a one-off payment), this object contains the ID of that payable or receivable.

payerobject
payment_referencestring
The payment reference. If not provided explicitly by the client, Monite uses the invoice number (`document_id`) as the payment reference. **Note:** Monite [normalizes](https://docs.monite.com/payments/payment-references) payment references for certain types of payments when passing information to the payment processing provider.
providerstring
Reserved for internal use.
selected_payment_methodenum

The payment method selected by the payer on the payment page, or null if the payment has not been initiated.

Errors

400
Get Payment Intents ID Request Bad Request Error
401
Get Payment Intents ID Request Unauthorized Error
404
Get Payment Intents ID Request Not Found Error
422
Get Payment Intents ID Request Unprocessable Entity Error
429
Get Payment Intents ID Request Too Many Requests Error